org.apache.pdfbox.preflight.graphic

## Class ICCProfileWrapper

- java.lang.Object
- - org.apache.pdfbox.preflight.graphic.ICCProfileWrapper

    public class ICCProfileWrapper
    extends Object

This class embeds an instance of java.awt.color.ICC_Profile which represent the ICCProfile defined by the DestOutputItents key of the OutputIntents of the PDF.

### Constructor Summary

Constructors
Constructor and Description
`ICCProfileWrapper(ICC_Profile _profile)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getColorSpaceType()` Call the ICC_ColorSpace.getType method and return the value.
`static ICCProfileWrapper` `getOrSearchICCProfile(PreflightContext context)`
`ICC_Profile` `getProfile()`
`boolean` `isCMYKColorSpace()` Return true if the ColourSpace is CMYK
`boolean` `isGrayColorSpace()` Return true if the ColourSpace is Gray scale
`boolean` `isRGBColorSpace()` Return true if the ColourSpace is RGB

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ICCProfileWrapper

    public ICCProfileWrapper(ICC_Profile _profile)

### Method Detail

#### getColorSpaceType

    public int getColorSpaceType()

Call the ICC_ColorSpace.getType method and return the value.

Returns:
  the color space type.

#### getProfile

    public ICC_Profile getProfile()

Returns:
  the profile

#### isRGBColorSpace

    public boolean isRGBColorSpace()

Return true if the ColourSpace is RGB

Returns:
  true if the ColourSpace is RGB.

#### isCMYKColorSpace

    public boolean isCMYKColorSpace()

Return true if the ColourSpace is CMYK

Returns:
  true if the ColourSpace is CMYK.

#### isGrayColorSpace

    public boolean isGrayColorSpace()

Return true if the ColourSpace is Gray scale

Returns:
  true if the ColourSpace is gray scale.

#### getOrSearchICCProfile

    public static ICCProfileWrapper getOrSearchICCProfile(PreflightContext context)
                                                   throws ValidationException

Throws:
  `ValidationException`